/*
Copyright (c) 2003-2009, CKSource - Frederico Knabben. All rights reserved.
For licensing, see LICENSE.html or http://ckeditor.com/license
*/

(function(){    
    var destroyEditor= {
        modes:{source:1},
        exec:function(editor){ 
            editor.setData(editor.element.getValue()||editor.element.getHtml());        
        }
    },
   
    buttonType='ResetText';
    CKEDITOR.plugins.add(buttonType,{        
        init:function(editor){
            editor.addCommand(buttonType,destroyEditor);
            editor.ui.addButton(buttonType,{
                label:editor.lang.resetText||'ResetText',
                icon: this.path + 'reset.gif',
                command:buttonType
            });
        }
    });
})();